Debian Bug report logs - #491985
debian-policy: Should Policy mandate -dbg binary packages to be `Priority: extra'?

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Charles Plessy <plessy@debian.org>

Date: Wed, 23 Jul 2008 01:39:01 UTC

Severity: wishlist

Found in version debian-policy/3.8.0.1

Fixed in version debian-policy/3.8.1.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#491985; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-policy: Should Policy mandate -dbg binary packages to be `Priority: extra'?
Date: Wed, 23 Jul 2008 10:20:53 +0900
Package: debian-policy
Version: 3.8.0.1
Severity: normal

Hello, Policy makers,

As discussed on debian-devel@l.d.o, the FTP team enforces a priority of
`extra' for packages whose purpose is to ship symbols for the GNU
debugger.
http://lists.debian.org/msgid-search/87wsjdanjq.fsf@delenn.ganneff.de

Indeed, only a small minority of packages do not follow that rule:

sorbet【~】$ grep-available -P dbg -s Priority | sort | uniq -c
    263 Priority: extra
      8 Priority: optional

sorbet【~】$ grep-available -FPackage dbg --and -FPriority optional -s Package 
Package: libonig2-dbg
Package: icedove-dbg
Package: libgnuradio-core0c2a-dbg
Package: kdbg (obviously a false positive, but I could not do `-FPackage -dbg')
Package: libwbxml2-0-dbg
Package: kxsldbg
Package: thunderbird-dbg
Package: libnetfilter-log1-dbg

Given this, I wonder if the Policy shouldn't require -dbg package to be
`extra', to align on the enforced value in order to reduce the differences
beteween the binary package we ship and the packages obtained by our users when
they build them from the source packages we ship.

A simple modification of the Policy like the following one could do the job:

--- a/policy.sgml
+++ b/policy.sgml
@@ -751,9 +751,10 @@
            <item>
                This contains all packages that conflict with others
                with required, important, standard or optional
-               priorities, or are only likely to be useful if you
+               priorities, that are only likely to be useful if you
                already know what they are or have specialized
-               requirements.
+               requirements, or that only contain symbols for the GNU
+               debugger.
            </item>
          </taglist>
        </p>

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#491985; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 491985@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 491985@bugs.debian.org
Subject: Re: Bug#491985: debian-policy: Should Policy mandate -dbg binary packages to be `Priority: extra'?
Date: Tue, 22 Jul 2008 19:11:23 -0700
Charles Plessy <plessy@debian.org> writes:

> Given this, I wonder if the Policy shouldn't require -dbg package to be
> `extra', to align on the enforced value in order to reduce the
> differences beteween the binary package we ship and the packages
> obtained by our users when they build them from the source packages we
> ship.

Policy doesn't really set requirements around priority except for a few
specific cases, and I don't really expect that to change, since that's the
province of ftp-master.  But we can certainly make your proposed change to
mention debugging symbols as an example of a package with extra priority.

I don't consider this change normative since:

> --- a/policy.sgml
> +++ b/policy.sgml
> @@ -751,9 +751,10 @@
>             <item>
>                 This contains all packages that conflict with others
>                 with required, important, standard or optional
> -               priorities, or are only likely to be useful if you
> +               priorities, that are only likely to be useful if you
>                 already know what they are or have specialized
> -               requirements.
> +               requirements, or that only contain symbols for the GNU
> +               debugger.
>             </item>
>           </taglist>
>         </p>

packages containing only debugging symbols are certainly packages "that
are only likely to be useful if you already know what they are or have
specialized requirements."

So that means it's easy to just make this change.  :)

Here's what I'm committing:

--- a/policy.sgml
+++ b/policy.sgml
@@ -753,7 +753,8 @@
                with required, important, standard or optional
                priorities, or are only likely to be useful if you
                already know what they are or have specialized
-               requirements.
+               requirements (such as packages containing only detached
+               debugging symbols).
            </item>
          </taglist>
        </p>

but further wording tweaking is certainly welcome if people feel strongly
about a way of phrasing this.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Tags added: pending Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Wed, 23 Jul 2008 02:15:02 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `normal' Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Wed, 23 Jul 2008 02:15:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#491985; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 491985@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 491985@bugs.debian.org
Subject: Re: Bug#491985: debian-policy: Should Policy mandate -dbg binary packages to be `Priority: extra'?
Date: Wed, 23 Jul 2008 11:30:34 +0900
Le Tue, Jul 22, 2008 at 07:11:23PM -0700, Russ Allbery a écrit :
> 
> Policy doesn't really set requirements around priority except for a few
> specific cases, and I don't really expect that to change, since that's the
> province of ftp-master.

Hi Russ,

I am a bit uncomfortable with the fact that there are two different
places where specific rules about priorities are set. I do not
understand why something that is important enough to be overriden in the
Debian FTP archive is not important enough to be specified by the Policy
(although I understand the concept of territories and not competing for
others's prerogatives).

On the other hand, there were already many discussions underlining that
the distinction between optional and extra packages is somewhat
dysfunctional, so I guess that the most efficient way to solve the
problem is a global reform of optional and extra priorities.

I nitpick a bit on this because I think that it is really a time sink.
For instance, I recently had to object that `optional' was an acceptable
priority for a scientific package, althoug this package has a much
narrower audience than other optional packages such as openoffice.
Having a clear policy that can cope the differences of people's gut
feelings would save us some time, I think.

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#491985; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 491985@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 491985@bugs.debian.org
Subject: Re: Bug#491985: debian-policy: Should Policy mandate -dbg binary packages to be `Priority: extra'?
Date: Tue, 22 Jul 2008 20:37:18 -0700
Charles Plessy <plessy@debian.org> writes:

> I am a bit uncomfortable with the fact that there are two different
> places where specific rules about priorities are set. I do not
> understand why something that is important enough to be overriden in the
> Debian FTP archive is not important enough to be specified by the Policy
> (although I understand the concept of territories and not competing for
> others's prerogatives).

I think override is a misnomer; the priority in the package is only a hint
to ftp-master on a NEW upload and otherwise is completely ignored.  So
it's not that it's so important to be overridden, it's that the value in
the package is basically meaningless and ftp-master is the only canonical
source of that information.

This is really the only way that it *could* be done if you want all the
priorities to be consistent; NMUing packages to fix priority bugs would be
a nightmare.

> On the other hand, there were already many discussions underlining that
> the distinction between optional and extra packages is somewhat
> dysfunctional, so I guess that the most efficient way to solve the
> problem is a global reform of optional and extra priorities.
>
> I nitpick a bit on this because I think that it is really a time sink.
> For instance, I recently had to object that `optional' was an acceptable
> priority for a scientific package, althoug this package has a much
> narrower audience than other optional packages such as openoffice.
> Having a clear policy that can cope the differences of people's gut
> feelings would save us some time, I think.

I guess my reaction is that this is interesting and arguable, but a
different question than this particular bug.

If you want to propose that Policy document what packages should be which
priority, as opposed to just defining the priorities, that's a much larger
issue than the priority of the debug packages, which are completely
uncontroversial and already fairly well-covered by the existing Policy
wording.  I don't think it's a bad idea, but it's also not my personal
itch, and it's going to be a lot of work to build such a documented
policy, particularly between optional and extra.

If you want to open that bug and raise that, be prepared for the first
reaction to be the ongoing discussion about whether priorities are even
useful outside of defining the base system.

See also #196367, which has quite a lot of the relevant discussion.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#491985; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 491985@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: debian-devel@lists.debian.org, 491985@bugs.debian.org
Subject: Re: Debian Project News - July 21st, 2008
Date: Wed, 23 Jul 2008 10:21:27 +0200
Charles Plessy wrote:
> Thanks for the answer, I just opened a bug on the Policy to reflect
> this.
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=491985
I do have to agree with Russ that policy isn't the place for this.

Why do you need to sprinkle information there instead of enhancing the
documentation on the subject already in the developer's reference?

Kind regards

T.
-- 
Thomas Viehmann, http://thomas.viehmann.net/




Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 12 Mar 2009 05:15:27 GMT) Full text and rfc822 format available.

Notification sent to Charles Plessy <plessy@debian.org>:
Bug acknowledged by developer. (Thu, 12 Mar 2009 05:15:27 GMT) Full text and rfc822 format available.

Message #34 received at 491985-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 491985-close@bugs.debian.org
Subject: Bug#491985: fixed in debian-policy 3.8.1.0
Date: Thu, 12 Mar 2009 04:47:03 +0000
Source: debian-policy
Source-Version: 3.8.1.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.8.1.0.dsc
  to pool/main/d/debian-policy/debian-policy_3.8.1.0.dsc
debian-policy_3.8.1.0.tar.gz
  to pool/main/d/debian-policy/debian-policy_3.8.1.0.tar.gz
debian-policy_3.8.1.0_all.deb
  to pool/main/d/debian-policy/debian-policy_3.8.1.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 491985@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 11 Mar 2009 20:50:52 -0700
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.8.1.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 143941 163666 241333 416450 426877 446712 470994 473019 473439 479080 483418 487701 488039 489460 491985 492624 503685 511804 513955 514326
Changes: 
 debian-policy (3.8.1.0) unstable; urgency=low
 .
   * Policy: Clarify what "sensible behavior" is for init scripts
     Wording: Steve Langasek <vorlon@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #426877
   * Policy: Remove alternative changelog formats from main manual
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Ben Pfaff <blp@cs.stanford.edu>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #489460
   * Policy: Mandate UTF-8 for changelog files
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Kurt Roeckx <kurt@roeckx.be>
     Closes: #241333
   * Policy: Mandate UTF-8 for control files
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Kurt Roeckx <kurt@roeckx.be>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #143941
   * Policy: New option in DEB_BUILD_OPTIONS to avoid running test-suites
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #416450
   * Policy: Expand expected capabilities for local in /bin/sh scripts
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #473019
   * Policy: Clarify Essential definition and caution when adding to it
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Jörg Sommer <joerg@alea.gnuu.de>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #479080
   * Policy: Allow user mail spools to be mode 0600 or 0660
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Kurt Roeckx <kurt@roeckx.be>
     Seconded: Andrew McMillan <awm@debian.org>
     Closes: #470994
   * Policy: Remove special handling of init scripts ending in .sh
     Wording: Kel Modderman <kel@otaku42.de>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Henrique de Moraes Holschuh <hmh@debian.org>
     Closes: #513955
   * Policy: /var/run and /var/lock may be volatile
     Wording: Colin Watson <cjwatson@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
     Closes: #514326
   * Policy: debian/control allows comments starting with #
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Adeodato Simó <dato@net.com.org.es>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #446712
   * Improve the documentation of maintainer script actions for diversions
     in the informative appendix to allow for addition of a new diversion
     on upgrade and handle error cases correctly.  Thanks to Olivier Berger
     for the report and Raphaël Hertzog for the review.  (Closes: #483418)
   * Clarify the meaning of architecture restrictions on build dependencies
     in the presence of alternatives.  Thanks to Guillem Jover for the
     explanation and review and Emilio Pozuelo Monfort and Don Armstrong
     for wording review.  (Closes: #163666)
   * Change the term "category" to "archive area" when referring to main,
     contrib, and non-free.  This is closer to the wording of the Social
     Contract.  (Closes: #473439)
   * Use <user>:<group> notation rather than <user>.<group> notation in
     multiple places.  Thanks, Kurt Roeckx.  (Closes: #488039)
   * Fix typo in 3.8.0.0 upgrading-checklist entry.  Patch from Kobayashi
     Noritada.  (Closes: #487701)
   * Mention debugging packages as an explicit example of packages with
     extra priority.  Thanks, Charles Plessy.  (Closes: #491985)
   * Clarify that translation is only required for user-visible debconf
     messages.  Capitalize "Debian Configuration Management Specification"
     uniformly.  Thanks, Julian Andres Klode.  (Closes: #492624)
   * Add --wildcards to the sample tar command in appendix B.1 for
     extracting the package copyright file, adjusting for new tar option
     behavior.  Thanks, Yan Morin.  (Closes: #503685)
   * Reword the requirement that maintainer scripts exit with a zero
     status on success to avoid double-negatives.
   * Include the full name of each menu category rather than only the
     portion relative to the parent heading to be clearer in long category
     lists.  Thanks, Christoph Berg.  (Closes: #511804)
   * Build-Depend on texlive rather than tetex-extra.  texlive appears to
     be sufficient for how Policy uses debiandoc-sgml and pulls in far
     fewer packages.
   * Remove the postinst and prerm scripts.  doc-base registration is now
     handled by triggers and no longer required and removal of /usr/doc
     links was completed long ago.
   * Reference GPL-2 rather than the GPL symlink in debian/copyright.
Checksums-Sha1: 
 028523613316f116df03d2b1499558ee87623752 1099 debian-policy_3.8.1.0.dsc
 a770f0706e0024419f615a7a3f0bad952204c553 642159 debian-policy_3.8.1.0.tar.gz
 e642a568cb83485d06b0db322492e693745bb6ee 1600318 debian-policy_3.8.1.0_all.deb
Checksums-Sha256: 
 05f5301cc49576d720bb86dbc6a0b5a0c3d987672d4784ba6233f50b6381bc6c 1099 debian-policy_3.8.1.0.dsc
 e870fddebf1f5d117165d495274e862262b0bc5044af03cbf6efadde4d1987c4 642159 debian-policy_3.8.1.0.tar.gz
 aabed48106680ea0412d4745cabfe549f1f66a66b401c3fa0377c57625e56d39 1600318 debian-policy_3.8.1.0_all.deb
Files: 
 aedf88a7b4300ad291f58322db840b45 1099 doc optional debian-policy_3.8.1.0.dsc
 2d8e596c21f7b15a78ceeb985a36ed41 642159 doc optional debian-policy_3.8.1.0.tar.gz
 cb433141e17276e5ba252b81303d99ab 1600318 doc optional debian-policy_3.8.1.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkm4hvcACgkQ+YXjQAr8dHZfigCeOjTIesMnR7YH/zapV1XcNfWX
7OgAnREkqxjFZC932xKiKI8SgVN9rwoN
=8ruN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 Apr 2009 07:37:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:38:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.